﻿//tribue to Angelo ;-)
package
{
	import fl.transitions.*;
	import fl.transitions.easing.*;
	
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	

	public class Angelino extends Sprite
	{
		private var dim:Number = 90;
		
		public function Angelino():void
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);
		}
		
		private function added_handler(e:Event):void
		{
			for(var i:Number=0;i<10;i++){
				for(var j:Number=0;j<10;j++){
					var clip:Sprite = buildShapes();
					clip.y =30+ i*dim;
					clip.x =30+ j*dim;
					addChild(clip);
				}
			}
		}
		
		private function buildShapes():Sprite
		{
			var clip:Sprite = new Sprite();
			var circle:Sprite = new Sprite();
			circle.graphics.beginFill(0xff3333,0.7);
			circle.graphics.drawCircle(30,20,80);
			circle.graphics.endFill();
			var mask:Sprite = new Sprite();
			mask.graphics.beginFill(0xffff33,1);
			mask.graphics.drawCircle(-30,-30,60);
			mask.graphics.endFill();
			circle.mask = mask;
			circle.addEventListener(MouseEvent.MOUSE_OVER,rollOver_handler);
			clip.addChild(circle);
			clip.addChild(mask);
			return clip;
		}
		
		private function rollOver_handler(e:MouseEvent):void
		{
			new Tween(e.currentTarget, "width", Elastic.easeOut, 300, 90, 3, true);
			new Tween(e.currentTarget, "height", Elastic.easeOut, 300, 90, 3, true);
		}
		
	}
}